<?php

namespace App\Controller;

use App\Repository\DomainRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;
use Symfony\Component\Security\Http\Attribute\IsGranted;

class DomainApiController extends AbstractController
{
    #[Route('/api/domains', name: 'app_api_get_domains', methods: ['get'])]
    #[IsGranted('IS_AUTHENTICATED_FULLY')]
    public function index(DomainRepository $domainRepository): JsonResponse
    {
        return new JsonResponse([
            'domains' => $domainRepository->findAll()
        ]);
    }
}
